Bug 177159 - FC4 doesn't work with kvm switches and optical mice
FC4 doesn't work with kvm switches and optical mice
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-06 13:53 EST by Gordon Walton
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 08:54:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Walton 2006-01-06 13:53:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322; FDM)

Description of problem:
I know there are other people out there with similar problems but i've had to roll back to redhat 9 because Fedora simply can't be run in my environment.  I have a KVM switch and an optical mouse, and yes, after switching the kvm, the mouse goes beserk and the system is unusable.  Unplugging the optical mouse is fine, and i managed to dig out a mouse with a ball in it and that doesn't have the same problems.  I suggest there lies a problem with the driver code for the optical mice, seing as Redhat 9 doesn't have a problem at all.


Version-Release number of selected component (if applicable):
FC4

How reproducible:
Always

Steps to Reproduce:
1. Make sure you're using an optical mouse
2. Log in to FC4
3.Switch the kvm switch to another computer
4.Switch back to FC4
  

Actual Results:  Mouse becomes hyper, it moves all over the screen, randomly opening up applications, dragging the bars around the screen, moving icons.

Expected Results:  Mouse should behave exactly like redhat 9, no erratic movement, it should just work fine.

Additional info:

If i can't use Fedora in a KVM environment, then what use is Fedora?  I need to build a bank of linux machines and i can't have dozens of keyboards, mice and screens.
Comment 1 Mike A. Harris 2006-01-09 08:21:32 EST
X uses the kernel /dev/input/mice device for all configurations for quite
a long time now, which uses a single protocol:  IMPS/2 for all mice, as this
is the protocol the kernel's driver exports.

I personally use a KVM switch with an optical mouse and have no such problem.
As such, this issue is most likely a problem either with your hardware, or
with the individual kernel module for your specific hardware.

Reassigning to the kernel component.
Comment 2 Pete Zaitcev 2006-01-09 13:16:54 EST
Please attach the dmesg taken across a KVM switch (do not drop it into
the comments box).
Comment 3 Dave Jones 2006-02-03 00:31:49 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 4 John Thacker 2006-05-05 08:54:00 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.